Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On the "Content Views" > "Add" page of a composite content view, click 'add content views' multiple times seems to keep a running

list of all IDs sent and keeps sending those.  For example:

1.  Create a Repo FOO

2.  Create 2 content views (A & B), add FOO to both, and publish version 1 of both

3.  Create a new composite content view

4.  On the content view > Add page of this composite, select both view A & B, and click "Add Content Views"

5.  A request is sent to the server with components [4,5] (These are just examples of 2 ids)

6.  You will get an error saying there is a repo conflict.  So far so good.

7.  Un-select View A (So that only View B is listed) from the list and click "Add Content Views" again

8.  An error will occur and the list of components will be [4,5,4].

Everytime you click the "Add Content Views" Button, the selection is added to the list of everything previously selected (include

duplicates) and sent again.

The error the 2nd time is "An error occurred updating the Content View: has already been taken" which doesn't really make sense,

but the browser should only be sending what is actually selected.

Associated revisions

Revision 42a245d6 - 03/26/2014 04:22 PM - Walden Raines

Fixes #4860 - reset the content view's component IDs on save failure.

Revision 7252fe04 - 03/26/2014 08:22 PM - Walden Raines

Fixes #4860 - reset the content view's component IDs on save failure.

Revision dfb650b9 - 03/26/2014 09:00 PM - Walden Raines

Merge pull request #3892 from waldenraines/bug-4860

Fixes #4860 - reset the content view's component IDs on save failure.

History

#1 - 03/26/2014 12:42 AM - Justin Sherrill

- Assignee set to Walden Raines

#2 - 03/26/2014 05:31 PM - Walden Raines

- Status changed from New to Assigned

#3 - 03/26/2014 05:50 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3892
#4 - 03/26/2014 09:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7252fe04354437b07e1c6827c901c3b1f07c3115.

#5 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
